App Instance API
List App Instances
List app instances owned by the team along with those shared with it.
GET
/
v2
/
app-instances
List App Instances
curl --request GET \
--url https://public.api.serval.com/v2/app-instances \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/app-instances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/app-instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"customServiceId": "<string>",
"service": "<string>",
"id": "<string>",
"teamId": "<string>",
"externalServiceInstanceId": "<string>",
"name": "<string>",
"accessRequestsEnabled": true,
"defaultAccessPolicyId": "<string>",
"customServiceName": "<string>",
"tagIds": [
"<string>"
],
"integrationIds": [
"<string>"
],
"a2aAgentCard": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"version": "<string>",
"skills": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"examples": [
"<string>"
],
"inputModes": [
"<string>"
],
"outputModes": [
"<string>"
]
}
],
"workflowId": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"securitySchemes": [
{
"name": "<string>",
"openIdConnectUrl": "<string>",
"flow": "<string>",
"oauth2MetadataUrl": "<string>",
"scopes": [
"<string>"
]
}
]
}
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the team.
Maximum number of results to return. Default is 10000, maximum is 10000.
Token for pagination. Leave empty for the first request.
Was this page helpful?
⌘I
List App Instances

